Loading...
Searching...
No Matches
Class List
Here are the classes, structs, unions and interfaces with brief descriptions:

opencc |
BinaryDict | Binary dictionary for faster deserialization
Config | Configuration loader
Conversion | Conversion interface
ConversionChain | Chain of conversions Consists of a list of conversions
ConversionInspectionStage | Result of a single conversion stage during inspection
ConversionInspectionResult | Full inspection result for a single input text
Converter | Controller of segmentation and conversion
DartsDict | Darts dictionary
Dict | Abstract class of dictionary
DictEntry | Key-values pair entry
NoValueDictEntry |
SingleValueDictEntry |
StrSingleValueDictEntry |
MultiValueDictEntry |
StrMultiValueDictEntry |
DictEntryFactory |
DictGroup | Group of dictionaries
DictGroupTestBase |
Exception |
FileNotFound |
FileNotWritable |
InvalidFormat |
InvalidTextDictionary |
InvalidUTF8 |
ShouldNotBeHere |
Lexicon | Storage of all entries
MarisaDict | Darts dictionary
MaxMatchSegmentation | Implementation of maximal match segmentation
Optional | A class that wraps type T into a nullable type
Optional< T * > | Specialization of Optional for pointers
PhraseExtract |
Signals |
PrefixMatch |
Match |
Segmentation | Abstract segmentation
Segments | Segmented text
iterator |
SerializableDict | Serializable dictionary interface
SerializedValues | Binary format for dictionary values serialization
SimpleConverter | A high level converter This interface does not require C++11 to compile
TextDict | Text dictionary
TextDictTestBase |
UTF8StringSliceBase |
Hasher |
UTF8Util | UTF8 std::string utilities
JiebaSegmentation |
CmdLineOutput |
Exception |
opencc_error_t |
opencc_kv_pair_t |
opencc_segment_length_array_t |
opencc_segmentation_create_args_t |
opencc_segmentation_plugin_v2 |
opencc_segmentation_segment_args_t |
PhraseExtract |
Signals |